Bug 1849276 - kitty-0.18.0 is available
Summary: kitty-0.18.0 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kitty
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Artem
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-06-20 08:42 UTC by Jan Pokorný [poki]
Modified: 2020-07-01 01:35 UTC (History)
1 user (show)

Fixed In Version: kitty-0.18.0-1.fc32 kitty-0.18.0-1.fc31
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-06-23 01:21:41 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Jan Pokorný [poki] 2020-06-20 08:42:04 UTC
(The summary selected to possibly avoid duplicates with release
monitoring, we shall see)

Please, package this new version:
https://github.com/kovidgoyal/kitty/releases/tag/v0.18.0

Of inconvenient for any reason, please at least apply this:

> diff start
--- a/kitty.spec
+++ b/kitty.spec
@@ -21,6 +21,10 @@ Source0:        https://github.com/kovidgoyal/kitty/archive/v%{version}/%{name}-
 # * https://github.com/kovidgoyal/kitty/pull/2088
 Source1:        https://raw.githubusercontent.com/kovidgoyal/kitty/46c0951751444e4f4994008f0d2dcb41e49389f4/kitty/data/%{name}.appdata.xml
 
+# curl -L https://github.com/kovidgoyal/kitty/commit/d12e10830dfcfd15abf0e266f0de939e58259028.diff \
+#   | filterdiff -x '*/docs/changelog.rst'
+Patch0:         Wayland-Fix-kitty-being-killed-on-some-Wayland-compositors.patch
+
 BuildRequires:  desktop-file-utils
 BuildRequires:  gcc
 BuildRequires:  libappstream-glib
> diff end

So as to avoid crashes of kitty with sway/Wayland:
https://github.com/kovidgoyal/kitty/commit/d12e10830dfcfd15abf0e266f0de939e58259028

Thanks!

Comment 1 Fedora Update System 2020-06-20 10:23:33 UTC
FEDORA-2020-19d0c60900 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-19d0c60900

Comment 2 Fedora Update System 2020-06-20 10:30:04 UTC
FEDORA-2020-9f46c3c17d has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-9f46c3c17d

Comment 3 Jan Pokorný [poki] 2020-06-21 09:25:39 UTC
Unprecedented turnaround time!  Thanks.

koji.fedoraproject.org seems offline right now and Rawhide package is still
not at the mirrors, so I'll try later and add karma for Fedora 32 respectively.

Comment 4 Fedora Update System 2020-06-23 01:21:41 UTC
FEDORA-2020-19d0c60900 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 5 Fedora Update System 2020-06-23 01:53:35 UTC
FEDORA-2020-9f46c3c17d has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-9f46c3c17d`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-9f46c3c17d

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2020-07-01 01:35:20 UTC
FEDORA-2020-9f46c3c17d has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.